import request from '@/utils/request'
export const zylbgl_list = (data = {}) =>
  request({
    url: '/jdbg/qjylb/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      qjylb_zylbmc: data.qjylb_zylbmc
    }
  })
export const zylbgl_add = (data = {}) =>
  request({
    url: '/jdbg/qjylb/add',
    data: {
      issubmit: '1',
      jdbg_qjylb: {
        qjylb_zylbmc: data.qjylb_zylbmc,
        qjylb_zyms: data.qjylb_zyms,
        qjylb_cjr: data.qjylb_cjr,
        qjylb_cjsj: data.qjylb_cjsj,

      }
    }
  })
export const zylbgl_edit = (data = {}) =>
  request({
    url: '/jdbg/qjylb/edit',
    data: {
      issubmit: '1',
      qjylb_id: data.qjylb_id,
      jdbg_qjylb: {
        qjylb_zylbmc: data.qjylb_zylbmc,
        qjylb_zyms: data.qjylb_zyms,
        qjylb_cjr: data.qjylb_cjr,
        qjylb_cjsj: data.qjylb_cjsj,

      }
    }
  })

export const zylbgl_del = (data = {}) =>
  request({
    url: '/jdbg/qjylb/delete',
    data: {
      issubmit: '1',
      qjylb_id: data.qjylb_id,

    }
  })
export const zylbgl_detail = (data = {}) =>
  request({
    url: '/jdbg/qjyglxt_zylbgl/detail',
    data: {
      issubmit: '1',
      qjylb_id: data.qjylb_id,
    }
  })

//组织树形
export const org_tree = (data = {}) =>
  request({
    url: '/user/org/list_tree',
    data
  })

export const qx_get = (data = {}) =>
  request({
    url: '/jdbg/qjylb_qx/get_empower',
    data
  })
export const qx_set = (data = {}) =>
  request({
    url: '/jdbg/qjylb_qx/set_empower',
    data
  })